<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'AuthController::login');
$routes->get('/register', 'AuthController::register');
$routes->post('/register', 'AuthController::registerUser');
$routes->get('/login', 'AuthController::login');
$routes->post('/send-otp', 'AuthController::sendOTP');
$routes->get('/verify-otp', 'AuthController::verifyOTPForm');
$routes->post('/verify-otp', 'AuthController::verifyOTP');
$routes->get('/resend-otp', 'AuthController::resendOTP');
$routes->get('/logout', 'AuthController::logout');
$routes->get('/dashboard', 'Home::dashboard');
$routes->get('/content/home', 'Home::homecontent');
$routes->get('/content/mission-vision', 'Home::missionvisioncontent');
$routes->get('/content/important_links', 'Home::importantlinkscontent');
$routes->get('/content/events', 'Home::eventscontent');
$routes->get('/content/faqs', 'Home::faqcontent');
$routes->get('/content/enquiry', 'Home::enquirycontent');
$routes->get('/content/notification', 'Home::notificationcontent');


// Resident Registration
$routes->group('api', ['filter' => 'throttle:5,60'], function ($routes) {
    $routes->post('register', 'RegistrationController::register');
    $routes->post('login', 'RegistrationController::login');
});



// mayour notes API
$routes->post('api/mayor-notes', 'MayorNotesController::create'); // Create note
$routes->get('api/mayor-notes', 'MayorNotesController::index');  // Get all notes

// mission vision
$routes->get('api/mission-vision', 'MissionVisionController::index');
$routes->post('api/mission-vision', 'MissionVisionController::updatemissionvision');

// important links
$routes->group('api', ['namespace' => 'App\Controllers'], function($routes) {
    $routes->get('important-links', 'ImportantLinksController::index');         // Fetch all links
    $routes->post('important-links', 'ImportantLinksController::create');       // Add a new link
    $routes->post('important-links/updateOrder', 'ImportantLinksController::updateOrder'); // Update order
    $routes->put('important-links/(:num)', 'ImportantLinksController::update/$1'); // Update link
    $routes->delete('important-links/(:num)', 'ImportantLinksController::delete/$1'); // Delete link
});

// events API 
$routes->group('api', function($routes) {
    $routes->post('events/create', 'EventController::create');
    $routes->get('events', 'EventController::getEvents');
    $routes->get('app/events', 'EventController::getEventsAPP'); // Fix leading slash issue
    $routes->get('events/(:num)', 'EventController::getEvents/$1');
    $routes->delete('events/(:num)', 'EventController::deleteEvent/$1');
});

// FAQ route
$routes->group('api', function($routes) {
    $routes->get('faqs', 'FaqController::getFaqs'); // Get all FAQs (GET)
    $routes->post('faqs/create', 'FaqController::createFaq'); // Create new FAQ (POST)
    $routes->delete('faqs/(:num)', 'FaqController::deleteFaq/$1');  // New delete route

});

// Enquiry
$routes->group('api/enquiry', function ($routes) {
    $routes->post('submit', 'EnquiryController::submitEnquiry');
    $routes->get('all', 'EnquiryController::getAllEnquiries');
    $routes->get('(:num)', 'EnquiryController::getEnquiry/$1');
    $routes->delete('(:num)', 'EnquiryController::deleteEnquiry/$1');
});

// Notification
$routes->group('api', function ($routes) {
    $routes->get('notifications', 'NotificationController::index'); // GET all notifications
    $routes->post('notifications', 'NotificationController::create'); // POST a new notification
    $routes->delete('notifications/(:num)', 'NotificationController::delete/$1'); // DELETE a notification by ID
});













