<?php

namespace App\Controllers;
use App\Models\UserModel;
use App\Models\EventsModel;
use CodeIgniter\Controller;

class Home extends Controller
{
    protected $userModel;

    public function __construct() {
        $this->userModel = new UserModel();
    }
    public function index(): string
    {
        return view('auth/login');
    }

    public function dashboard() {
    $session = session();

        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        $eventModel = new EventsModel();
    
        // Get only current month data from today
        $currentMonthData = $eventModel
            ->where('DATE_FORMAT(created_at, "%Y-%m") =', date('Y-m'))
            ->orderBy('created_at', 'DESC')
            ->findAll();
    
        return view('dashboard/dashboard', [
            'user' => $user,
            'events' => $currentMonthData
        ]);
    }


    public function homecontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/home-cms', ['user' => $user]);
    }
    
    public function missionvisioncontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/mission-vision-cms', ['user' => $user]);
    }
    
    
    public function importantlinkscontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/important_links', ['user' => $user]);
    }
    
    public function eventscontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/event-cms', ['user' => $user]);
    }
    
    public function faqcontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/faq-cms', ['user' => $user]);
    }
    
    
    public function enquirycontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/enquiry_list', ['user' => $user]);
    }
    
    public function notificationcontent() {
        $session = session();
    
        // Check if session is valid
        if (!$session->has('is_logged_in') || time() > $session->get('expire')) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'Session expired, please log in again.');
        }
    
        $user = $this->userModel->find($session->get('user_id'));
    
        if (!$user) {
            $session->destroy();
            return redirect()->to('/login')->with('error', 'User not found.');
        }
    
        return view('dashboard/notification-cms', ['user' => $user]);
    }
    
    
}
