<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\Models\MissionVisionModel;
use CodeIgniter\API\ResponseTrait;

class MissionVisionController extends BaseController
{
    use ResponseTrait;
    
    // get api
    public function index()
    {
        $model = new MissionVisionModel();
        $data = $model->first(); // Fetch the first record

        if (!$data) {
            return $this->failNotFound('No mission and vision data found.');
        }

        return $this->respond([
            'status' => 'success',
            'data' => $data
        ]);
    }
    
    // update api
    public function updatemissionvision()
    {
        $model = new MissionVisionModel();
        $data = $this->request->getPost();

        if (!isset($data['mission']) && !isset($data['vision'])) {
            return $this->response->setJSON([
                'status' => 'error',
                'message' => 'Invalid request data'
            ]);
        }

        // Prepare update data
        $updateData = [];
        if (isset($data['mission'])) {
            $updateData['mission'] = trim($data['mission']);
        }
        if (isset($data['vision'])) {
            $updateData['vision'] = trim($data['vision']);
        }

        // Update database (assuming only one row exists)
        $updated = $model->update(1, $updateData);

        if ($updated) {
            return $this->response->setJSON([
                'status' => 'success',
                'message' => 'Mission/Vision updated successfully'
            ]);
        } else {
            return $this->response->setJSON([
                'status' => 'error',
                'message' => 'Failed to update'
            ]);
        }
    }
}
