<?php

namespace App\Filters;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use CodeIgniter\Filters\FilterInterface;
use Config\Services;

class Throttle implements FilterInterface
{
    public function before(RequestInterface $request, $arguments = null)
    {
        $throttler = Services::throttler();
        $ipAddress = $request->getIPAddress();
        $device = $request->getPost('device') ?? 'unknown'; // Get device identifier from request

        $key = 'login_' . md5($ipAddress . '_' . $device); // Unique key per device & IP

        if ($throttler->check($key, 5, MINUTE) === false) {
            return Services::response()->setStatusCode(429)->setJSON([
                'status'  => 'error',
                'message' => 'Too many login attempts from this device. Please try again later.'
            ]);
        }
    }

    public function after(RequestInterface $request, ResponseInterface $response, $arguments = null)
    {
        // Nothing to do here
    }
}
