<?php

namespace App\Models;

use CodeIgniter\Model;

class EventsModel extends Model
{
    protected $table = 'events'; // Database table name
    protected $primaryKey = 'id'; // Primary key column

    protected $allowedFields = [
        'name',
        'date',
        'time',
        'type',
        'expiry_date',
        'description',
        'image',
        'status'
    ]; // Allowed fields for insert/update

    protected $useTimestamps = true; // Automatically handle created_at and updated_at

    protected $createdField = 'created_at'; // Column for storing creation time
    protected $updatedField = 'updated_at'; // Column for storing last update time
}
