<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>OTP Verification</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?= base_url('/assets/css/styles.min.css')?>" />
    <style>
        .otp-container {
            max-width: 500px;
            margin: auto;
            padding: 20px;
            border: 1px solid #FCB623E0;
            border-radius: 23px;
            background: #1A1A19;
            box-shadow: 0px 3px 8px -3px #FCB623E0;
        }
        .otp-input {
            width: 50px;
            height: 50px;
            font-size: 24px;
            text-align: center;
            border: 1px solid #ddd;
            border-radius: 5px;
            margin: 5px;
        }
        .otp-input:focus {
            border-color: #FCB623E0;
            outline: none;
        }
        .resend-link {
            color: #FCB623E0;
            cursor: pointer;
        }
        .resend-link:hover {
            text-decoration: underline;
        }
        h3{
            color: #FCB623E0;
        }
        p{
            color: #ccc;
        }
        .btnbg{
            background-color: #FCB623E0;
            color: #000;
        }
        .btnbg:hover{
            border: 1px solid #FCB623E0;
            color: #FCB623E0;
        }
    </style>
</head>

<div class="container-fluid bg-main d-flex align-items-center justify-content-center vh-100">
    <div class="otp-container text-center p-4">
        <h3 class="mb-3">Verify OTP</h3>
        <p class="text-white">Enter the OTP sent to your email</p>

        <?php if (session()->getFlashdata('error')) : ?>
            <div class="alert alert-danger"><?= session()->getFlashdata('error') ?></div>
        <?php endif; ?>

        <form action="<?= base_url('/verify-otp') ?>" method="post">
            <div class="d-flex justify-content-center">
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
                <input type="text" name="otp[]" class="otp-input" maxlength="1" required>
            </div>
            <input type="hidden" name="otp_email" value>

            <button type="submit" class="btn btnbg w-100 mt-3">Verify OTP</button>
        </form>

        <p class="mt-3">
            Didn't receive OTP? 
            <a href="<?= base_url('resend-otp') ?>" class="resend-link">Resend OTP</a>
        </p>
    </div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", function () {
        let inputs = document.querySelectorAll(".otp-input");
        
        inputs.forEach((input, index) => {
            input.addEventListener("input", () => {
                if (input.value.length === 1 && index < inputs.length - 1) {
                    inputs[index + 1].focus();
                }
            });

            input.addEventListener("keydown", (e) => {
                if (e.key === "Backspace" && index > 0 && input.value === "") {
                    inputs[index - 1].focus();
                }
            });
        });
    });
</script>

