<?= $this->include('dashboard/layout/header') ?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">

<style>
    .col-lg-6, .col-lg-12 { margin-top: 20px; }
    button.btn-primary.mt-3,.btn-primary { margin-top: 25px !important; background: #e0a322!important; }
    .table th, .table td { vertical-align: middle; text-align: left; }
    .table img { border-radius: 5px; width: 50px; }
    .delete-icon { color: red; cursor: pointer; transition: 0.3s; }
    .delete-icon:hover { color: darkred; transform: scale(1.2); }
    .modal-content { background: #0d0d0c; width: 50%; margin: 10% auto; padding: 20px; border-radius: 10px; border: 1px solid #e0a322; }
    .modal { display: none; position: fixed; z-index: 1000; left: 0; top: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); }
    .close { color: antiquewhite; position: absolute; right: 15px; top: 10px; font-size: 20px; cursor: pointer; }
    .form-group { flex: 1; display: flex; flex-direction: column; }
    input, select, textarea { width: 100%; border: 1px solid #ccc; padding: 8px; border-radius: 5px; }
    .btn-primary { background: #007bff; color: white; border: none; padding: 10px 20px; border-radius: 5px; cursor: pointer; }
    .btn-primary:hover { background: #0056b3; }
    #imagePreview { display: none; margin-top: 10px; width: 100px; border-radius: 5px; }
    label {
    color: antiquewhite;
    margin-bottom: 14px;
}
.loader { color: #e0a322 !important; display: none; text-align: center; padding: 10px; }
span#pageInfo {
    color: antiquewhite;
    margin: 0 16px;
}
.btn-primary1 {
    background: #e0a322;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 24px;
    cursor: pointer;
}
button#prevPage, button#nextPage {
    color: #000;
    background: #fff;
    padding: 3px 8px;
    border-radius: 5px;
}
i.fa.fa-circle.comm {
    color: #fff;
    font-size: 11px;
    margin-right: 4px;
}
i.fa.fa-circle.social {
    color: orange;
    font-size: 11px;
    margin-right: 4px;
}
i.fa.fa-circle.buss {
    color: #57e957;
    font-size: 11px;
    margin-right: 4px;
}
.card.cardbg {
    height: 223px;
    padding: 33px 22px;
    border: 1px solid #e0a3228f;
}
.card.cardbg p{
    margin:0 !important;
}
.cardbg{
    background-image:url('<?= base_url('/assets/images/dash/eventbg.png')?>');
    background-size: cover;
    background-position: center;
}
.btnsec {
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items:center;
}
.card.cardbg h5 {
    margin-top: 17px;
    color: #fff;
    font-size: 18px;
}
.description {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Limits text to 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: 3em; /* Adjust based on font size */
    line-height: 1.5em; /* Ensures proper spacing */
    color:#fff;
    font-size:16px;
    font-weight: 300;
}
p.dates {
    color: #cbcbcb;
    font-weight: 300;
}
.pagination {
    margin: 20px 0;
    align-items: center;
}
button.btn-primary.mt-3, .btn-primary {
    margin-top: 25px !important;
    background: transparent !important;
    border: 1px solid #e0a322 !important;
    border-radius: 20px !important;
}
div#drawer {
    background: #1c1c1c;
}
</style>

<div class="body-wrapper-inner bg-main">
<div class="container mt-5">
    <h2 class="mb-4 pt-5 mt-5 text-center"> Manage Events</h2>
    <!-- Drawer Trigger Button -->

<!-- Drawer -->
<div class="offcanvas offcanvas-end" tabindex="-1" id="drawer">
    <div class="offcanvas-header">
        <h5 class="offcanvas-title">Event Details</h5>
        <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
    </div>
    <div class="offcanvas-body">
        <p>This is a Bootstrap drawer (offcanvas component).</p>
        <button class="btn btn-success">Click Me</button>
    </div>
</div>
    <button class="btn-primary" onclick="openModal()"><i class="fa fa-plus"></i> Add Event</button>
    <div class="loader"><i class="fa fa-spinner fa-spin fa-1x text-white px-2"></i> Fetching Latest Events...</div>
    <div class="mt-5">
        <div id="eventsCards" class="row"></div>
     <div class="pagination">
        <button id="prevPage" onclick="changePage(-1)" disabled>Previous</button>
        <span id="pageInfo"></span>
        <button id="nextPage" onclick="changePage(1)">Next</button>
    </div>
    </div>
</div>

<!-- Modal for Adding Events -->
<div id="eventModal" class="modal">
    <div class="modal-content p-5">
        <span class="close" onclick="closeModal()">&times;</span>
        <h3 class="text-center">📅 Add New Event</h3>

        <form id="eventForm">
            <div class="row">
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Event Name:</label>
                        <input type="text" id="eventName" name="name" required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Event Date:</label>
                        <input type="date" id="eventDate" name="date" required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Event Time:</label>
                        <input type="time" id="eventTime" name="time" required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Event Time Type:</label>
                        <select id="eventType" name="type" required>
                            <option value="Community">Community</option>
                            <option value="Business">Business</option>
                            <option value="Social">Social</option>
                        </select>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Event Expiration Date:</label>
                        <input type="date" id="eventExpiry" name="expiry_date" required>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="form-group">
                        <label>Image:</label>
                        <input type="file" id="eventImage" name="image" accept="image/*">
                        <img id="imagePreview" src="" alt="Preview">
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="form-group">
                        <label>Description:</label>
                        <textarea id="eventDesc" name="description" rows="2"></textarea>
                    </div>
                </div>
            </div>
            <button type="submit" class="btn-primary mt-3">Submit</button>
        </form>
    </div>
</div>

</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script>
     $(".loader").show();
     $(".pagination").hide();
    let events = [];
    let currentPage = 1;
    const itemsPerPage = 12;

    $(document).ready(function () {
        fetchEvents();
        $("#eventForm").on("submit", function (e) {
            e.preventDefault();
            addEvent();
        });
    });

    function fetchEvents() {
        $.get('<?= site_url('api/events') ?>', function (response) {
            if (response.status === 'success') {
                events = response.data;
                displayEvents();
            }
        }, "json");
    }

 function displayEvents() {
    let cardsContainer = $("#eventsCards").html('');
    let start = (currentPage - 1) * itemsPerPage;
    let end = start + itemsPerPage;
    let paginatedEvents = events.slice(start, end);

    paginatedEvents.forEach(event => {
        let typeClass = event.type === "Social" ? "social" : 
                        event.type === "Business" ? "buss" : 
                        event.type === "Community" ? "comm" : "";

        let typeHtml = typeClass ? `<p><i class="fa fa-circle ${typeClass}"></i> ${event.type}</p>` : '';

        cardsContainer.append(`
            <div class="col-lg-4 col-md-6">
                <div class="card cardbg">
                    <div class="btnsec">
                        ${typeHtml} <!-- Dynamic class and content based on event type -->
                        <button class="btn-primary1" style="margin:0" onclick="viewEvent(${event.id})" data-bs-toggle="offcanvas" data-bs-target="#drawer">View Event</button>
                    </div>
                    
                    <h5>${event.name}</h5>
                    <p class="dates">${event.date} ${event.time}</p>
                    <p class="description text-muted">${event.description}</p>
                </div>
            </div>
        `);
    });

    updatePagination();
     $(".loader").hide();
      $(".pagination").show();
}


    
    function updatePagination() {
        $("#pageInfo").text(`Page ${currentPage} of ${Math.ceil(events.length / itemsPerPage)}`);
        $("#prevPage").prop("disabled", currentPage === 1);
        $("#nextPage").prop("disabled", currentPage * itemsPerPage >= events.length);
    }

    function changePage(step) {
        currentPage += step;
        displayEvents();
    }

   let sortOrder = {}; // Object to track sorting order for each column

function sortTable(columnIndex) {
    // Initialize sorting direction for column if not set
    if (!sortOrder[columnIndex]) {
        sortOrder[columnIndex] = 1; // 1 for ascending, -1 for descending
    } else {
        sortOrder[columnIndex] *= -1; // Toggle direction
    }

    // Sort the events array based on column
    events.sort((a, b) => {
        let valueA = Object.values(a)[columnIndex];
        let valueB = Object.values(b)[columnIndex];

        // If values are dates, sort them as dates
        if (!isNaN(Date.parse(valueA)) && !isNaN(Date.parse(valueB))) {
            return (new Date(valueA) - new Date(valueB)) * sortOrder[columnIndex];
        }

        // Otherwise, sort alphabetically or numerically
        return (valueA > valueB ? 1 : -1) * sortOrder[columnIndex];
    });

    // Update UI
    displayEvents();
}

    function addEvent() {
    let formData = new FormData($("#eventForm")[0]);
    let submitButton = $(".btn-primary.mt-3");
    
    submitButton.prop("disabled", true).text("Saving..."); // Disable and change text
    $(".loader").show();

    $.ajax({
        url: '<?= site_url('api/events/create') ?>',
        type: 'POST',
        data: formData,
        contentType: false,
        processData: false,
        success: function (response) {
            $(".loader").hide();
            submitButton.prop("disabled", false).text("Submit"); // Re-enable button
            
            if (response.status === 'success') {
                $("#successPopup").show(); // Show success popup
                setTimeout(() => {
                    $("#successPopup").hide();
                    closeModal();
                    fetchEvents();
                }, 2000);
            } else {
                alert("Error adding event.");
            }
        },
        error: function () {
            submitButton.prop("disabled", false).text("Submit"); // Re-enable on error
            $(".loader").hide();
            alert("Failed to add event.");
        }
    });
}

    function deleteEvent(id) {
        if (!confirm("Are you sure?")) return;
        $.ajax({
            url: '<?= site_url('api/events/') ?>' + id,
            type: 'DELETE',
            success: function () { fetchEvents(); }
        });
    }

    function openModal() { $("#eventModal").show(); }
    function closeModal() { $("#eventModal").hide(); $("#eventForm")[0].reset(); }
</script>
<?= $this->include('dashboard/layout/footer') ?>