<!-- Add Header -->
<?= $this->include('dashboard/layout/header') ?>
<!-- Header End -->
<div class="body-wrapper-inner bg-main">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-5">
                <h2 class="title-main">Create Mayor Note</h2>
                <hr class="gold">
                <div id="response-message" class="alert d-none"></div>

                <form id="mayorNoteForm" method="POST" enctype="multipart/form-data">
                    <div class="mb-3">
                        <label class="form-label">Title</label>
                        <input value="My Message" type="text" class="form-control" name="title" required>
                    </div>

                    <div class="mb-3">
                        <label class="form-label">Video URL (Optional)</label>
                        <input type="url" class="form-control" name="video_url">
                    </div>

                    <div class="mb-3">
                        <label class="form-label">Upload Video</label>
                        <input type="file" class="form-control" name="video" accept="video/*" required>
                    </div>

                    <div class="mb-3">
                        <label class="form-label">Mayor Message</label>
                        <textarea class="form-control" name="mayor_message" rows="10" required></textarea>
                    </div>

                    <button type="submit" class="btn mt-3 btnss btn-primary w-100 py-8 fs-4 mb-4 rounded-2">Post Note</button>
                </form>
            </div>
            <div class="col-lg-7 paddingx">
                <!-- Show get data mayor notes -->
                <h2 class="title-main">Recent Mayor Notes</h2>
                <hr class="gold">

                <div id="mayorNotesList">
                    <p>Loading...</p> <!-- Placeholder while data loads -->
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Add Footer -->
<script>
$(document).ready(function() {
    $("#mayorNoteForm").on("submit", function(e) {
        e.preventDefault(); // Prevent form from submitting
        console.log("Form submission prevented");

        let formData = new FormData(this);

        $.ajax({
            url: "<?= base_url('api/mayor-notes') ?>", // Change this to your actual API URL
            type: "POST",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $("#response-message").removeClass().addClass("alert alert-info").text("Submitting...").removeClass("d-none");
            },
            success: function(response) {
                console.log(response);
                $("#response-message").removeClass().addClass("alert alert-success").text(response.message).removeClass("d-none");
                $("#mayorNoteForm")[0].reset();
            },
            error: function(xhr) {
                let errorMessage = "Error submitting form.";
                if (xhr.responseJSON && xhr.responseJSON.messages) {
                    errorMessage = Object.values(xhr.responseJSON.messages).join(" ");
                }
                $("#response-message").removeClass().addClass("alert alert-danger").text(errorMessage).removeClass("d-none");
            }
        });
    });
});
</script>


  <!-- Get Notes -->
 <script>
$(document).ready(function () {
    function fetchLatestMayorNote() {
        $.ajax({
            url: "<?= base_url('api/mayor-notes') ?>", // API endpoint
            type: "GET",
            dataType: "json",
            success: function (response) {
                if (response.status === "success") {
                    let note = response.data;
                    let videoHtml = '';

                    if (note.video_url) {
                    if (note.video_url.startsWith("http")) {
                        videoHtml = `
                            <video controls width="100%">
                                <source src="${note.video_url}" type="video/mp4">
                                <source src="${note.video_url.replace('.mp4', '.webm')}" type="video/webm">
                                <source src="${note.video_url.replace('.mp4', '.ogg')}" type="video/ogg">
                                Your browser does not support the video tag.
                            </video>
                        `;
                    } else {
                        videoHtml = `
                            <video controls width="100%">
                                <source src="${note.video_url}" type="video/mp4">
                                Your browser does not support the video tag.
                            </video>
                        `;
                    }
                }



                    let noteHtml = `
                        <div class="card mb-3">
                            <div class="card-body">
                                <h5 class="card-title mb-4">${note.title}</h5>
                                ${videoHtml}
                                <p class="text-muted mt-2">Updated at: ${note.updated_at}</p>
                                <p class="text-white">${note.mayor_message}</p>
                            </div>
                        </div>
                    `;
                    $("#mayorNotesList").html(noteHtml);
                } else {
                    $("#mayorNotesList").html("<p class='text-danger'>Failed to load mayor note.</p>");
                }
            },
            error: function () {
                $("#mayorNotesList").html("<p class='text-danger'>Error fetching mayor note.</p>");
            }
        });
    }

    fetchLatestMayorNote(); // Call the function to load data
});
</script>
 <?= $this->include('dashboard/layout/footer') ?>