<!-- Add Header -->
<?= $this->include('dashboard/layout/header') ?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
<div class="body-wrapper-inner bg-main">
    <div class="container-fluid">
        <div class="row">
            <div class="deskwd">
                <div class="container mt-5">
                    <h2 class="text-center mb-5">Mission & Vision</h2>

                    <!-- Bootstrap Tabs -->
                    <ul class="nav nav-tabs" id="missionVisionTabs">
                        <li class="nav-item">
                            <a class="nav-link active" id="mission-tab" data-bs-toggle="tab" href="#mission">Mission</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="vision-tab" data-bs-toggle="tab" href="#vision">Vision</a>
                        </li>
                    </ul>

                    <div class="tab-content mt-3">
                        <!-- Mission Tab -->
                        <div class="tab-pane fade show active" id="mission">
                            <div class="content-wrapper">
                                <div class="icon-container">
                                    <i class="fas fa-edit edit-icon" id="editMissionBtn"></i>
                                    <i class="fas fa-save save-icon d-none" id="saveMissionBtn"></i>
                                    <i class="fas fa-times cancel-icon d-none" id="cancelMissionBtn"></i>
                                </div>
                                <div id="missionContent">
                                    <p id="mission-text"></p>
                                </div>
                                <textarea class="form-control d-none" id="missionInput"></textarea>
                            </div>
                        </div>

                        <!-- Vision Tab -->
                        <div class="tab-pane fade" id="vision">
                            <div class="content-wrapper">
                                <div class="icon-container">
                                    <i class="fas fa-edit edit-icon" id="editVisionBtn"></i>
                                    <i class="fas fa-save save-icon d-none" id="saveVisionBtn"></i>
                                    <i class="fas fa-times cancel-icon d-none" id="cancelVisionBtn"></i>
                                </div>
                                <div id="visionContent">
                                    <p id="vision-text"></p>
                                </div>
                                <textarea class="form-control d-none" id="visionInput"></textarea>
                            </div>
                        </div>
                    </div>

                    <!-- Loader -->
                    <div class="text-center mt-3">
                        <div id="loader" class="d-none">
                            <i class="fas fa-spinner fa-spin fa-2x"></i> Loading...
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Custom Styles -->
<style>
    .content-wrapper {
        position: relative;
        padding: 15px;
        border-radius: 8px;
        margin-top: 10px;
    }
    .icon-container {
        position: absolute;
        top: 10px;
        left: 10px;
    }
    .edit-icon, .save-icon, .cancel-icon {
        font-size: 20px;
        cursor: pointer;
        margin-right: 10px;
    }
    .edit-icon { color: #007bff; }
    .save-icon { color: #28a745; }
    .cancel-icon { color: #dc3545; }
    #loader {
        font-size: 18px;
        color: #FCB623;
    }
    p#mission-text, p#vision-text {
    color: antiquewhite;
    font-weight: 300;
    font-size: 16px;
}
.icon-container {
    position: absolute;
    top: 10px;
    left: 19px;
}
textarea#missionInput, textarea#visionInput {
    margin-top: 36px;
}
.icon-container i{
    color:#FCB623E0;
}
.content-wrapper p {
    margin-top: 36px;
}
</style>

<!-- jQuery & AJAX -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function () {
        const BASE_URL = "<?= base_url('api/') ?>";

        function loadContent() {
            $("#loader").removeClass("d-none");
            $.ajax({
                url: BASE_URL + "mission-vision",
                type: "GET",
                dataType: "json",
                success: function (response) {
                    $("#loader").addClass("d-none");
                    if (response.status === "success") {
                        $("#mission-text").text(response.data.mission);
                        $("#vision-text").text(response.data.vision);
                    } else {
                        alert("Failed to load data.");
                    }
                },
                error: function () {
                    $("#loader").addClass("d-none");
                    alert("Error fetching data.");
                }
            });
        }

        loadContent();

        // Mission Section
        $("#editMissionBtn").click(function () {
            let missionText = $("#mission-text").text();
            $("#missionInput").val(missionText).removeClass("d-none");
            $("#missionContent").hide();
            $(this).addClass("d-none");
            $("#saveMissionBtn, #cancelMissionBtn").removeClass("d-none");
        });

        $("#saveMissionBtn").click(function () {
            $("#loader").removeClass("d-none");
            $.ajax({
                url: BASE_URL + "mission-vision",
                type: "POST",
                data: { mission: $("#missionInput").val() },
                dataType: "json",
                success: function (response) {
                    $("#loader").addClass("d-none");
                    if (response.status === "success") {
                        alert("Mission updated successfully!");
                        loadContent();
                        resetMissionView();
                    } else {
                        alert("Failed to update.");
                    }
                },
                error: function () {
                    $("#loader").addClass("d-none");
                    alert("Error updating mission.");
                }
            });
        });

        $("#cancelMissionBtn").click(function () {
            resetMissionView();
        });

        function resetMissionView() {
            $("#missionInput").addClass("d-none");
            $("#missionContent").show();
            $("#editMissionBtn").removeClass("d-none");
            $("#saveMissionBtn, #cancelMissionBtn").addClass("d-none");
        }

        // Vision Section
        $("#editVisionBtn").click(function () {
            let visionText = $("#vision-text").text();
            $("#visionInput").val(visionText).removeClass("d-none");
            $("#visionContent").hide();
            $(this).addClass("d-none");
            $("#saveVisionBtn, #cancelVisionBtn").removeClass("d-none");
        });

        $("#saveVisionBtn").click(function () {
            $("#loader").removeClass("d-none");
            $.ajax({
                url: BASE_URL + "mission-vision",
                type: "POST",
                data: { vision: $("#visionInput").val() },
                dataType: "json",
                success: function (response) {
                    $("#loader").addClass("d-none");
                    if (response.status === "success") {
                        alert("Vision updated successfully!");
                        loadContent();
                        resetVisionView();
                    } else {
                        alert("Failed to update.");
                    }
                },
                error: function () {
                    $("#loader").addClass("d-none");
                    alert("Error updating vision.");
                }
            });
        });

        $("#cancelVisionBtn").click(function () {
            resetVisionView();
        });

        function resetVisionView() {
            $("#visionInput").addClass("d-none");
            $("#visionContent").show();
            $("#editVisionBtn").removeClass("d-none");
            $("#saveVisionBtn, #cancelVisionBtn").addClass("d-none");
        }
    });
</script>

<?= $this->include('dashboard/layout/footer') ?>
